Update setup
curl --request PATCH \
--url https://capy.ai/api/v1/projects/{projectId}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repositories": [
{
"repository": "<string>",
"branch": "<string>",
"scripts": {
"initialize": "<string>",
"updateAfterCheckout": "<string>",
"startup": "<string>"
},
"commands": [
{
"name": "<string>",
"command": "<string>"
}
],
"timeouts": {
"initialize": 1830,
"updateAfterCheckout": 1830,
"startup": 1830
}
}
],
"hooks": {
"pre": {},
"post": {},
"context": {
"maxOutputLength": 123
}
}
}
'import requests
url = "https://capy.ai/api/v1/projects/{projectId}/setup"
payload = {
"repositories": [
{
"repository": "<string>",
"branch": "<string>",
"scripts": {
"initialize": "<string>",
"updateAfterCheckout": "<string>",
"startup": "<string>"
},
"commands": [
{
"name": "<string>",
"command": "<string>"
}
],
"timeouts": {
"initialize": 1830,
"updateAfterCheckout": 1830,
"startup": 1830
}
}
],
"hooks": {
"pre": {},
"post": {},
"context": { "maxOutputLength": 123 }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repositories: [
{
repository: '<string>',
branch: '<string>',
scripts: {initialize: '<string>', updateAfterCheckout: '<string>', startup: '<string>'},
commands: [{name: '<string>', command: '<string>'}],
timeouts: {initialize: 1830, updateAfterCheckout: 1830, startup: 1830}
}
],
hooks: {pre: {}, post: {}, context: {maxOutputLength: 123}}
})
};
fetch('https://capy.ai/api/v1/projects/{projectId}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"legacyHooks": {
"repositories": [
"<string>"
],
"checkComplete": true
},
"setup": {
"repositories": [
{
"repository": "<string>",
"branch": "<string>",
"scripts": {
"initialize": "<string>",
"updateAfterCheckout": "<string>",
"startup": "<string>"
},
"commands": [
{
"name": "<string>",
"command": "<string>"
}
],
"timeouts": {
"initialize": 1830,
"updateAfterCheckout": 1830,
"startup": 1830
}
}
],
"hooks": {
"pre": {},
"post": {},
"context": {
"maxOutputLength": 123
}
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Setup
Update Setup
Save Setup for future project runs. The update becomes active immediately; secret and environment variable fields are not accepted.
PATCH
/
v1
/
projects
/
{projectId}
/
setup
Update setup
Authorizations
API token (capy_xxxx). Generate at capy.ai/settings/tokens
Path Parameters
Project ID.
Query Parameters
Set to true to confirm that saving Setup replaces active deprecated .capy/settings.json hooks for future runs.
Body
application/json
Was this page helpful?
⌘I